Index: win32_specific.c
===================================================================
--- win32_specific.c    (rvision 15922)
+++ win32_specific.c    (copie de travail)
@@ -84,6 +84,22 @@
     mdate();

     /* WinSock Library Init. */
+    if( !WSAStartup( MAKEWORD( 2, 2 ), &Data ) )
+    {
+        /* Confirm that the WinSock DLL supports 2.2.*/
+        if( LOBYTE( Data.wVersion ) != 2 || HIBYTE( Data.wVersion ) != 2 )
+        {
+            /* We could not find a suitable WinSock DLL. */
+            WSACleanup( );
+        }
+        else
+        {
+            /* Everything went ok. */
+            return;
+        }
+    }
+
+    /* Let's try with WinSock 2.0  */
     if( !WSAStartup( MAKEWORD( 2, 0 ), &Data ) )
     {
         /* Confirm that the WinSock DLL supports 2.0.*/